登录 注册

登录

已解决 在mac上利用xampp最新版本安装成功后运行joomla3.4.8安装出错求助!!

更多
2016年02月16日 16:31 #1 作者: wooyaa
在mac上利用xampp最新版本安装成功后将joomla3.4.8安装包解压缩放入hotdocs文件夹中,利用chrome浏览器运行,结果提示错误如下:
Fatal error: Cannot use Joomla\String\String as String because 'String' is a special class name in /Applications/XAMPP/xamppfiles/htdocs/libraries/vendor/joomla/registry/src/Format/Json.php on line 12

请问这是什么问题呢?

登录 或者   注册一个会员帐号 来参与讨论

更多
2016年02月16日 22:19 #2 作者: Joomla之门
目前最新的 XAMPP for OS X 一共有三个并行版本:5.5.30, 5.6.15 & 7.0.2 ,你使用的是哪个?

付费下载 Joomla 3 扩展汉化版: 我要付费支持 Joomla 之门!

登录 或者   注册一个会员帐号 来参与讨论

更多
2016年02月17日 09:39 #3 作者: wooyaa

登录 或者   注册一个会员帐号 来参与讨论

更多
2016年02月17日 18:02 #4 作者: Joomla之门
你所安装的 XAMPP for OS X 7.0.2 版本意味着服务器所带的 PHP 版本是 7.x ,而目前 Joomla 3.4.8 以及所有的 3.4.x 系列都不支持 PHP 7

解决办法:

1、你把 XAMPP 版本降低到 5.x,也就是说使用 PHP 5.x ;

或者

2、你换成 Joomla 3.5 beta2 来测试、学习,要不了多久 Joomla 3.5 正式版就发布了,Joomla 3.5.x 系列支持 PHP 7。

付费下载 Joomla 3 扩展汉化版: 我要付费支持 Joomla 之门!

登录 或者   注册一个会员帐号 来参与讨论

更多
2016年02月18日 15:53 - 2016年02月18日 22:29 #5 作者: wooyaa
感谢白大哥解答,我已经改换成低版本的xampp了,目前已顺利安装joomla3.4.8;

目前遇到新的问题是下载了Akeeba Backup准备在本地利用已部署的xampp上同步已上线的网站备份包,但是安装Akeeba Backup的时候提示一个错误如下(下载的安装压缩包已解压,并且按照说明顺序先安装com_开头的压缩包):烦请看一下

错误
上传文件到服务器发生了一个错误。
过小的PHP文件上传尺寸
找不到安装压缩包
最后修改: 2016年02月18日 22:29 由 Joomla之门.

登录 或者   注册一个会员帐号 来参与讨论

更多
2016年02月18日 22:29 #6 作者: Joomla之门
新的问题请重新在适当的版块开新帖讨论。

付费下载 Joomla 3 扩展汉化版: 我要付费支持 Joomla 之门!

登录 或者   注册一个会员帐号 来参与讨论